<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class homedelivery extends MY_Controller {

    function __construct() {
        parent::__construct();
    }

    public function index() {
//      $data['categories'] = $this->_getProdCategories();
        $this->load->view('settings/header');
        $this->load->view('sales/homedelivery_view',null);
        $this->load->view('settings/footer');
    }
//Home Delivery  Report
 function gethomedelivery()
    {
         $this->load->model('sales/homedelivery_model');
         $datefrom = $this->input->post('datefrom');
         $dateto = $this->input->post('dateto');
         $property = $this->input->post('property');
         $this->load->model('sales/homedelivery_model');
         echo $this->homedelivery_model->gethomedelivery($datefrom,$dateto, $property);        
    }

function exportcsv()
     {

            $file="homedelivery.csv";
            header("Content-Disposition: attachment; filename=" . urlencode($file));
            header("Content-Type: application/force-download");
            header("Content-Type: application/octet-stream");
            header("Content-Type: application/download");
            header("Content-Description: File Transfer");
            header("Content-type: application/csv");
            header("Pragma: no-cache");
            header("Expires: 0");

            $export= $this->input->post('exportdata');

            $this->load->helper('download');
            force_download($file, $export);
    }


}






